
Foreman - Bug #23196

Default values of cores sockets in new VM should be 1 

04/10/2018 10:01 AM - Shira Maximov

Status: Closed   

Priority: Normal   

Assignee: Shira Maximov   

Category: Compute resources - oVirt   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5427,

https://github.com/theforeman/foreman/p

ull/5457

  

Description

When creating VM, it is not possible to create vm without cores and sockets,

The correct behavior should be that the cores and sockets default values should be 1.

Related issues:

Has duplicate Foreman - Bug #24219: The empty field for sockets (which is the... Duplicate 07/10/2018

Associated revisions

Revision c0e00d6c - 04/11/2018 01:54 PM - Shira Maximov

Fixes #23196 - Add default values for cores and socket in VM

Revision 54c83f7a - 07/01/2018 06:52 PM - Shira Maximov

Fixes #23196 - Add default values for cores and socket in VM

History

#1 - 04/10/2018 02:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5427 added

#2 - 04/11/2018 02:02 PM - Shira Maximov

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c0e00d6c1f01aa28f0317344be5514467b1edc64.

#3 - 04/16/2018 10:13 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5457 added

#4 - 07/01/2018 06:53 PM - Tomer Brisker

- translation missing: en.field_release set to 353

- Triaged set to No

#5 - 07/10/2018 12:15 PM - Ivan Necas

- Has duplicate Bug #24219: The empty field for sockets (which is the default) causes ovirt provisioning to fail added

#6 - 07/10/2018 12:16 PM - Ivan Necas

- Target version changed from 1.19.0 to 1.18.1
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c0e00d6c1f01aa28f0317344be5514467b1edc64


Proposing for 1.18.1, as it's a regression in terms of requiring the user to perform some additional clicks before she can provision properly.

#7 - 08/29/2018 03:04 PM - Tomer Brisker

- Target version changed from 1.18.1 to 1.19.0

- Fixed in Releases 1.19.0, 1.20.0 added

#8 - 08/29/2018 03:06 PM - Tomer Brisker

- Fixed in Releases deleted (1.20.0)

#9 - 08/30/2018 07:08 AM - Tomer Brisker

- Category set to Compute resources - oVirt
